> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1smscampaigns is ready



## OpenAPI

````yaml https://api.comm.com/docs/api.json post /v1/sms/campaigns/{campaign}/is-ready
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/campaigns/{campaign}/is-ready:
    post:
      tags:
        - SmsCampaigns
      operationId: sms.campaigns.is-ready
      parameters:
        - name: campaign
          in: path
          required: true
          description: The campaign ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                anyOf:
                  - type: object
                    properties:
                      is_ready:
                        type: boolean
                      errors:
                        type: array
                        items:
                          type: string
                        minItems: 0
                        maxItems: 0
                        additionalItems: false
                    required:
                      - is_ready
                      - errors
                  - type: object
                    properties:
                      is_ready:
                        type: boolean
                      errors:
                        type: string
                    required:
                      - is_ready
                      - errors
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````